routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\LevelController;
use App\Http\Controllers\PersonController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
})->name('home');

Route::resource('persons', PersonController::class);

Route::resource('levels', LevelController::class);

app/Models/Level.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Level extends Model
{
    use HasFactory;

    /**
     * 
     */
    protected $fillable = [
        'level_name', 'price', 'description'
    ];
  
}

app/Http/Controllers/LevelController.php
<?php

namespace App\Http\Controllers;

use App\Models\Level;
use Illuminate\Http\Request;
use App\Http\Requests\StoreLevelRequest;
use App\Http\Requests\UpdateLevelRequest;
use App\Repositories\LevelRepository;

class LevelController extends Controller
{
    /**
     * 
     */
    private $repository;

    public function __construct(LevelRepository $repository)
    {
        $this->repository = $repository;
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $allData = Level::paginate(5);
        return \view('level.index', compact('allData'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return \view('level.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Request\StoreLevelRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreLevelRequest $request)
    {
        $this->repository->create([
            'level_name'    => \ucfirst($request->name),
            'price'    => $request->price,
            'description'    => \ucfirst($request->description),
        ]);

        return redirect()
            ->route('levels.index')
            ->with('success', 'Registro exitoso.');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Level  $level
     * @return \Illuminate\Http\Response
     */
    public function show(Level $level)
    {
        return \view('level.show', compact('level'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Level  $level
     * @return \Illuminate\Http\Response
     */
    public function edit(Level $level)
    {
        return \view('level.edit', compact('level'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Request\UpdateLevelRequest  $request
     * @param  \App\Models\Level  $level
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateLevelRequest $request, Level $level)
    {
        $this->repository->update($level, [
            'level_name' => ucfirst($request->name),
            'price' => $request->price,
            'description' => ucfirst($request->description),

        ]);
        return redirect()
            ->route('levels.index')
            ->with('success', 'Registro de ' . $level->level_name . ' ha sido actualizado con exito.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Level  $level
     * @return \Illuminate\Http\Response
     */
    public function destroy(Level $level)
    {
        $level->delete();

        return redirect()
            ->route('levels.index')
            ->with('success', 'Registro de ' . $level->level_name . ' ha sido eliminado con exito.');
    }
}

resources/views/level/create.blade.php
<!-- resources/views/person/create.blade.php -->
@extends('layouts.app')

@section('content')
<div class="container">
  <h1 class="border-bottom font-weight-bold mt-4 mx-auto pb-2 text-black-50 text-center text-uppercase w-75">Nuevo
    Registro</h1>
  <div class="justify-content-center row">
    <div class="col-12">
    </div>
    <div class="col-12 col-md-5">
      <a class="btn btn-outline-secondary btn-sm mt-3 px-4" href="{{ route('levels.index') }}">Regresar</a>
      <div class="p-3 border mt-3 rounded">
        <form class="row" action="{{ route('levels.store') }}" method="post">
          @csrf
          <div class="mb-3 col-md-12">
            <label for="name" class="form-label">Nombre del nivel</label>
            <input type="text" class="form-control text-capitalize" id="name" name="name" placeholder="Level One.."
              value="{{ old('name') }}" />
            @error('name')
            <div class="alert py-1 alert-danger mt-1">{{ $message }}</div>
            @enderror
          </div>
          <div class="mb-3 col-md-12">
            <label for="price" class="form-label">Precio</label>
            <input type="text" class="form-control" id="price" name="price" placeholder="20"
              value="{{ old('price') }}" />
            @error('price')
            <div class="alert py-1 alert-danger mt-1">{{ $message }}</div>
            @enderror
          </div>
          <div class="mb-3 col-md-12">
            <label for="description" class="form-label">Descripción</label>            
            <textarea class="form-control" id="description" name="description" placeholder="Lorem ipsum dolor sit amet..."
              value="{{ old('description') }}" ></textarea>
            @error('description')
            <div class="alert py-1 alert-danger mt-1">{{ $message }}</div>
            @enderror
          </div>
          <div class="mb-3 col-md-12 text-center mt-3">
            <button class="btn btn-outline-success btn-sm px-3 text-capitalize" type="submit">Añadir Registro</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
@endsection

resources/views/level/edit.blade.php
<!-- resources/views/person/create.blade.php -->
@extends('layouts.app')

@section('content')
<div class="container">
  <h1 class="border-bottom font-weight-bold mt-4 mx-auto pb-2 text-black-50 text-center text-uppercase w-75">Actualizar
    Datos</h1>
  <div class="justify-content-center row">
    <div class="col-12">
    </div>
    <div class="col-12 col-md-6">
      <a class="btn btn-outline-secondary btn-sm mt-3 px-4" href="{{ route('levels.index') }}">Regresar</a>
      <div class="p-3 border mt-3 rounded">
        <form class="row" action="{{ route('levels.update', $level) }}" method="post">
          @csrf
          @method('PATCH')
          <div class="mb-3 col-md-12">
            <label for="name" class="form-label">Nombre del nivel</label>
            <input type="text" class="form-control text-capitalize" id="name" name="name" placeholder="Level One.."
              value="{{ old('name', $level->level_name) }}" />
            @error('name')
            <div class="alert py-1 alert-danger mt-1">{{ $message }}</div>
            @enderror
          </div>
          <div class="mb-3 col-md-12">
            <label for="price" class="form-label">Precio</label>
            <input type="text" class="form-control" id="price" name="price" placeholder="20"
              value="{{ old('price', $level->price) }}" />
            @error('price')
            <div class="alert py-1 alert-danger mt-1">{{ $message }}</div>
            @enderror
          </div>
          <div class="mb-3 col-md-12">
            <label for="description" class="form-label">Descripción</label>            
            <textarea class="form-control" id="description" name="description" placeholder="Lorem ipsum dolor sit amet...">{{ old('description', $level->description) }}</textarea>
            @error('description')
            <div class="alert py-1 alert-danger mt-1">{{ $message }}</div>
            @enderror
          </div>
          <div class="mb-3 col-md-12 text-center mt-3">
            <button class="btn btn-outline-success btn-sm px-3 text-capitalize" type="submit">Actualizar Registro</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
@endsection

resources/views/level/index.blade.php
<!-- resources/views/person/index.blade.php -->

@extends('layouts.app')

@section('content')
<div class="container">
	<h1 class="text-center font-weight-bold text-uppercase mt-3">Crud con laravel</h1>

	<div class="row">
		<div class="col-12 text-end border-bottom pb-3">
			<a class="btn btn-outline-info btn-sm" href="{{ route('levels.create') }}">Nuevo</a>
		</div>
		<div class="col-12">
			<div class="table-responsive mt-3">
				<!-- will be used to show any messages -->
				@if ( session('success') )
					<div class="alert alert-info py-2">{{ Session::get('success') }}</div>
				@endif				
				<table class="table table-hover">
					<thead>
						<tr>
							<th>#</th>
							<th>Nombre</th>
							<th>Precio</th>
							<th>Descripción</th>
							<th>Acción</th>
						</tr>
					</thead>
					<tbody>
						@forelse ($allData as $data)
						<tr>
							<th><a class="btn btn-sm btn-outline-dark px-3 py-0" href="{{ route('levels.show', $data) }}">{{ $loop->iteration }}</a></th>
							<td>{{ $data->level_name }}</td>
							<td>{{ $data->price }}</td>
							<td>{{ $data->description }}</td>
							<td>
								<a class="btn btn-success btn-sm" href="{{ route('levels.edit', $data) }}"><span class="sr-only">Editar</span></a>
								<form class="d-inline" action="{{ route('levels.destroy', $data) }}" method="post">
									@csrf
									@method('DELETE')
									<input class="btn btn-outline-danger btn-sm" type="submit" name="" value="Eliminar">
								</form>
							</td>
						</tr>
						@empty
						<tr>
							<th colspan="6" class="text-center">No hay datos disponibles.</th>
						</tr>
						@endforelse
					</tbody>

				</table>
				<div class="border-bottom mt-4 py-2 text-end">
					{{ $allData->links() }}
				</div>
			</div>
		</div>
	</div>

</div>
@endsection

resources/views/level/show.blade.php
<!-- resources/views/person/index.blade.php -->

@extends('layouts.app')

@section('content')
<div class="container">
	<h1 class="text-center font-weight-bold text-uppercase mt-3">{{ $level->level_name }}</h1>

	<div class="row justify-content-center flex-column align-items-center">
        <ul class="col-md-6 list-group mt-3">
            <li class="list-group-item">{{ $level->price }}</li>
            <li class="list-group-item">{{ $level->description ? $level->description : 'No hay descripción disponible.' }}</li>
            <li class="list-group-item text-end">
                <a class="btn btn-outline-secondary btn-sm mt-3 px-4" href="{{ route('levels.index') }}">Regresar</a>
            </li>
        </ul>
        
	</div>

</div>
@endsection